Jump to
Ctrl
+
/

Prepare A Native Coin Transfer From Address Tron

POST
/prepare-transactions/evm/tron/{network}/native-coins

Through this endpoint customers can prepare a native coin (TRX) transaction from an address. The address doesn't have to belong to a wallet. The response returns the unsigned Tron transaction envelope (raw_data / raw_data_hex) and the sighash to sign. Amounts are denominated in SUN (1 TRX = 1,000,000 SUN).

Path Parameters

network string Required

Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while network like "nile" is a test network.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
sender string Required

Represents the address which sends this transaction. In account-based protocols like Tron there is always only one sender.

recipient string Required

The address which receives this transaction. In account-based protocols like Tron there is always only one recipient.

amount string Required

Represents the amount to transfer, in human-readable units (whole TRX for native transfers, or whole tokens scaled by the token's decimals for TRC20). E.g. "1" = 1 TRX.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2024-12-12
requestId string Required

Defines the ID of the request. The requestId is generated by Crypto APIs and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
sender string Required

Represents the address which sends this transaction.

TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN
recipient string Required

The address which receives this transaction.

TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW
amount string Required

Represents the transacted amount as encoded in the transaction, in the base unit (SUN for native; the token's smallest unit scaled by its decimals for TRC20). This is the request amount multiplied out, e.g. a request amount of "1" TRX returns "1000000".

1000000
rawDataHex string Required

String representation of the raw transaction data in hex format.

0a024ea9220812532e5951ed0e2d40c894b6c1f2335a67080112630a2d747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5472616e73666572436f6e747261637412320a15411c97f0c209a56e68f19d1b8b94630db4e08ac3fd1215414433e9393c844b0e5cd74e04f036631af8304c8718c0843d70bc8bd898f233
transactionId string Required

Represents the transaction id (hash) of the prepared transaction.

de01211120aa7790b0f66ce2ffe7902b9fe57f0ef0b640feff61703df0b49ed1

Credits Cost

Blockchain protocol Credits for 1 Results
Default Cost 90
Tron 90
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2024-12-12",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "sender": "TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN",
            "recipient": "TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW",
            "amount": "1000000",
            "rawDataHex": "0a024ea9220812532e5951ed0e2d40c894b6c1f2335a67080112630a2d747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e5472616e73666572436f6e747261637412320a15411c97f0c209a56e68f19d1b8b94630db4e08ac3fd1215414433e9393c844b0e5cd74e04f036631af8304c8718c0843d70bc8bd898f233",
            "transactionId": "de01211120aa7790b0f66ce2ffe7902b9fe57f0ef0b640feff61703df0b49ed1"
        }
    }
}